function [ae] = AAM_Element(varargin)
ae.pts = [];
ae.alignedPts = [];
ae.image = [];
ae.imagefilename = '';
ae.primaries = [];
ae.closedloops = [];
ae.loops = {};
switch nargin
    case 0
    case 1
        ae.filename = varargin{1};
    case 2
        ae.filename = varargin{1};
        ae.pts = varargin{2};
    otherwise
        error('Invalid number of input parameters');
end
ae = class(ae, 'AAM_Element');

